import grpc

class ServiceException(Exception):
    def __init__(self, code : grpc.StatusCode, details : str) -> None:
        self.code = code
        self.details = details
        super().__init__(self.details)
